#!/bin/bash

cmdline=$0
cd $(dirname "$cmdline")
cmdline=$(basename $cmdline)

while [ -L "$cmdline" ]; do
    cmdline="$(readlink "$cmdline")"
done

cd "$(dirname $cmdline)"
cd ..

for file in `ls lib`
do
   classpath="lib/$file:$classpath"
done


# Compiz / Beryl fix
if [ "`ps ax | grep -vq grep | grep compiz; echo $?`" == "0" \
    -o "`ps ax | grep -vq grep | grep beryl; echo $?`" == "0" ]; then
    echo "- Adding Compiz/beryl compatibility mode."
    AWT_TOOLKIT=MToolkit
else
    unset AWT_TOOLKIT
fi


java -Djava.library.path=jni:jni/jmf -Xmx512m -classpath $classpath com.dMSN.Main $*
